<template>
  <nav :class="$style['nav']">
    <slot />
  </nav>
</template>

<style lang="postcss" module>
.nav {
  margin-block: 15px 30px;

  @apply flex text-lg font-normal;

  a {
    margin-right: 15px;

    @apply font-normal;

    button > span {
      margin-left: 0;
    }

    &:hover,
    &:focus {
      @apply no-underline;
    }
  }
}
</style>
